document.addEventListener('DOMContentLoaded', () => {
  // Add sparkle effect to headings
  const headings = document.querySelectorAll('h1');
  headings.forEach(heading => {
    heading.addEventListener('mouseover', () => {
      heading.style.transform = 'scale(1.05)';
      heading.style.transition = 'transform 0.3s ease';
    });
    heading.addEventListener('mouseout', () => {
      heading.style.transform = 'scale(1)';
    });
  });
});
